为了账号安全,请及时绑定邮箱和手机立即绑定

如何安装Ruby和RubyGems

/ 猿问

如何安装Ruby和RubyGems

慕的地10843 2019-03-23 15:15:06

如何安装Ruby和RubyGems


查看完整描述

2 回答

?
天涯尽头无女友

如何安装 Ruby 和 RubyGems
Tags: 教程rubyvmcGemfile Last Updated: 2012-09-28
以下章节介绍关于如何在 Windows 和各种 Linux 计算机上安装 Ruby 和 RubyGems 的基本信息。
Windows
下载和安装 Windows 的 Ruby 安装程序。该安装程序中已经包括 RubyGems。 您在随后安装和使用 vmc 时请务必使用支持 Ruby 的命令提示符窗口。您可以通过 Windows“开始”菜单访问此命令提示符(“所有程序”> Ruby <版本> >“使用 Ruby 启动命令提示符”)。 最后,通过以下 Ruby 命令提示符更新 RubyGems: prompt> gem update --system
对 Windows Gemfile 的支持
安装 Ruby 后,请阅读 Cloud Foundry 上的 Ruby 应用程序中的说明,以了解关于推送应用程序和使用 Gemfile 的详细信息 Windows 用户需注意以下问题:
在 Windows 机器上生成 Gemfile.lock 时,其中包含的 gem 会采用 Windows 特定的版本。 mysql2、thin 和 pg 等 gem 版本的最后包含有“x86-mingw32”。 例如,在 Windows 机器上使用以下 Gemfile 运行 bundle install 时: gem ‘sinatra’ gem ‘mysql2’ gem ‘json’
将生成以下 Gemfile.lock 文件: GEM
remote: http://rubygems.org/ specs:
json (1.7.3)
mysql2 (0.3.11-x86-mingw32) rack (1.4.1)
rack-protection (1.2.0) rack
sinatra (1.3.2)
rack (~> 1.3, >= 1.3.6) rack-protection (~> 1.2) tilt (~> 1.3, >= 1.3.3) tilt (1.3.3)
PLATFORMS
x86-mingw32
DEPENDENCIES json mysql2 sinatra
现在,Cloud Foundry 将能够可靠安装这类 gem 而不必修改 Gemfile.lock
Mac OS X
Mac OS X 的 10.5 和更高版本出厂时已经安装了 Ruby 和 RubyGems。 如果您正在使用较早版本的 Mac OS,请先下载和安装最新版本的 Ruby,然后再安装 RubyGems。
Ubuntu
在终端上用 apt-get 命令行工具安装 Ruby 和 RubyGems 时的步骤如下: 1. 安装整个 Ruby 包和 RubyGems:
prompt$ sudo apt-get install ruby-full rubygems
有关 sudo 命令的任何必要的身份验证凭据,请咨询您的系统管理员。 2. 通过测试以确保您的路径中有 gem 命令: prompt$ which gem
如未找到该命令,请相应的更新 PATH 变量。例如,可使用以下命令行更新您的 .bashrc 文件:
export PATH=$PATH:/var/lib/gems/1.8/bin 3. 更新 RubyGems: Ubuntu 10.04
prompt$ sudo gem install rubygems-update
prompt$ sudo /var/lib/gems/1.8/bin/update_rubygems Ubuntu 11.10
prompt$ sudo su -
prompt# export REALLY_GEM_UPDATE_SYSTEM=true prompt# gem update --system prompt# exit
RedHat/Fedora
在终端上用 yum 命令行工具安装 Ruby 和 RubyGems 时的步骤如下: 1. 安装 Ruby:
prompt$ sudo yum install ruby
2. 如果您正在使用 RedHat Enterprise Linux 6,请可选 登录 Red Hat Network (RHN) 启用您主机的通道。 3. 安装 RubyGems:
prompt$ sudo yum install rubygems
Centos
在终端上用 yum 命令行工具安装 Ruby 和 RubyGems 时的步骤如下: 1. 安装基本的 Ruby 包: prompt$ yum install -y ruby 2. 安装其他 Ruby 包和文档:
prompt$ yum install -y ruby-devel ruby-docs ruby-ri ruby-rdoc 3. 安装 RubyGems:



查看完整回答
反对 回复 2019-03-27
?
幕布斯6054654

1、安装ruby前一般需要安装rvm或其他ruby版本管理器
2、使用rvm安装ruby,并指定默认的ruby版本,如果是mac机器,则默认安装了ruby2.0

详情看ruby-china的官方wiki

查看完整回答
反对 回复 2019-03-27
  • 2 回答
  • 0 关注
  • 165 浏览
我要回答

相关问题推荐

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信